//---------------------------------------------------------------------------

#ifndef LTR114_ProcessThreadH
#define LTR114_ProcessThreadH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <VCL/syncobjs.hpp>
#include "ltr/include/ltr114api.h"

//---------------------------------------------------------------------------
// 
#define LTR114THREAD_STATUS_WAIT        (0)            //,   
#define LTR114THREAD_STATUS_RUN         (1)           //  
#define LTR114THREAD_STATUS_FORCE_STOP  (2)           //  
#define LTR114THREAD_STATUS_STOPPED     (3)           // 
#define LTR114THREAD_STATUS_ERROR       (4)


#define MAX_READ_SIZE 16000

class ltr114_ProcessThread : public TThread
{            
private:
        int status;
        TCriticalSection* crit_sect;

        double ddata[MAX_READ_SIZE/2];
        double tdata[MAX_READ_SIZE/2];
        int tcnt;
        int dcnt;

        void __fastcall update_data();
protected:
        void __fastcall Execute();
public:
        PTLTR114 pltr114;       //    LTR114
        int ltr_correction_mode; // 

        void SetLtrStatus(int Status);
        int GetLtrStatus();

        TEdit* EditResArr[LTR114_MAX_LCHANNEL];
        TEdit* ThermEdit;

        __fastcall ltr114_ProcessThread(bool CreateSuspended);

};
//---------------------------------------------------------------------------
#endif
